Bug 219584 - Rocket card support should be module by default
Rocket card support should be module by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 00:39 EST by Jeff Silverman
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 12:41:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Silverman 2006-12-14 00:39:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061108 Fedora/1.5.0.8-1.fc5 Firefox/1.5.0.8

Description of problem:
Support for the Comtrol Rocket Multiport Serial card is disabled by default.  The default ought to be to make support a module.  Then modprobe can make the decision to load the module at system startup time.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.depmod
2.modprobe rocket
3.

Actual Results:
Module not found

Expected Results:
Should just load the module and it should just work.

Additional info:
 From the make config process:

*
* Character devices
*
Virtual terminal (VT) [Y/?] (NEW) y
  Support for binding and unbinding console drivers (VT_HW_CONSOLE_BINDING) [Y/n/?]
Non-standard serial port support (SERIAL_NONSTANDARD) [Y/n/?]
  Computone IntelliPort Plus serial support (COMPUTONE) [N/m/y/?]
  Comtrol RocketPort support (ROCKETPORT) [N/m/y/?] m  <------- should be M not N
  Cyclades async mux support (CYCLADES) [M/n/y/?]
  Digiboard Intelligent Async Support (DIGIEPCA) [N/m/y/?]
  Hayes ESP serial port support (ESPSERIAL) [N/m/y/?]
 ...
  Specialix RIO system support (RIO) [N/m/y/?]
  Stallion multiport serial support (STALDRV) [N/y/?]
*

Work around is to build the kernel module - a lot of work for such a simple thing.
Comment 1 Dave Jones 2006-12-18 23:14:09 EST
fixed in CVS, will be in the next update.

Note You need to log in before you can comment on or make changes to this bug.